routes/web.php
<?php

use Illuminate\Support\Facades\Route;
use Illuminate\Support\Facades\Auth;
// use App\Http\Controllers\produkController;
use App\Http\Controllers\productController;
use App\Http\Controllers\tokoProdukController;
use App\Http\Controllers\ulasanController;
use App\Http\Controllers\tokoulasanController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

// toko
Route::get('/', fn () => redirect ()->route('beranda'));
// Route::get('/', [tokoProdukController::class, 'index'])->name('');
// Route::get('/', function () {
//     return view('beranda');
// });
// Route::get('/beranda', function () {
//     return view('beranda');
// });
Route::get('/beranda', [tokoProdukController::class, 'beranda'])->name('beranda');
Route::get('/product', [tokoProdukController::class, 'index'])->name('product');
Route::get('/Ulasan', [tokoulasanController::class, 'index'])->name('ulasan');
// Route::get('/product', function () {
// return view('product');
// });
// Route::resource('/product', productController::class);
Route::get('/ulasan', function () {
    return view('ulasan');
});

// admin
Route::get('/admin', fn () => redirect ()->route('login'));

Route::middleware([
    'auth:sanctum',
    config('jetstream.auth_session'),
    'verified'
])->group(function () {
    Route::get('/dashboard', function () {
        return view('home');
    })->name('dashboard');
});
Route::group(['middleware'=> 'auth'], function (){
//     // Route::get("/product/data", [productController::class, 'data'])->name('product.data');
    Route::get('/produk', function(){
        return view('produk.index');
    });
    Route::resource('/produk', productController::class);
    Route::resource('/ulasan', ulasanController::class);
});
// Route::resource('produk', produkController::class);
// Route::group(['middleware'=>'auth'], function(){
//     Route::get('/produk', [productController::class, 'index'])->name('produk');
//     Route::get('/produk/create', [productController::class, 'create'])->name('produk.create');
//     Route::post('/produk/store', [productController::class, 'store'])->name('produk.store');
//     Route::get('/produk/edit/', [productController::class, 'edit'])->name('produk.update');
//     // Route::put('/produk/update/',[productController::class, 'update'])->name('produk.update');
//     Route::delete('/produk/destroy/',[ productController::class, 'destroy'])->name('produk.destroy');
// });

resources/views/produk/create.blade.php
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Tambah Produk</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
</head>

<body style="background: lightgray">

    <div class="container mt-5 mb-5">
        <div class="row">
            <div class="col-md-12">
                <div class="card border-0 shadow rounded">
                    <div class="card-body">
                        <form action="{{ route('produk.store') }}" method="POST" enctype="multipart/form-data">

                            @csrf

                            <div class="form-group">
                                <label class="font-weight-bold">Nama Produk</label>
                                <input type="text" class="form-control @error('nama_product') is-invalid @enderror"
                                    name="nama_product" value="{{ old('nama_product') }}"
                                    placeholder="Masukkan Nama Produk">

                                <!-- error message untuk nama_product -->
                                @error('nama_product')
                                    <div class="alert alert-danger mt-2">
                                        {{ $message }}
                                    </div>
                                @enderror
                            </div>
                            <div class="form-group">
                                <label class="font-weight-bold">Harga Produk</label>
                                <input type="text" class="form-control @error('harga_product') is-invalid @enderror"
                                    name="harga_product" value="{{ old('harga_product') }}"
                                    placeholder="Masukkan Harga Produk">

                                <!-- error message untuk harga_product -->
                                @error('harga_product')
                                    <div class="alert alert-danger mt-2">
                                        {{ $message }}
                                    </div>
                                @enderror
                            </div>
                            <div class="form-group">
                                <label class="font-weight-bold">Gambar Product</label>
                                <input type="file" class="form-control @error('gambar_product') is-invalid @enderror"
                                    name="gambar_product">

                                <!-- error message untuk gambar-->
                                @error('gambar_product')
                                    <div class="alert alert-danger mt-2">
                                        {{ $message }}
                                    </div>
                                @enderror
                            </div>

                            <button type="submit" class="btn btn-md btn-primary">SIMPAN</button>
                            <button type="reset" class="btn btn-md btn-warning">RESET</button>

                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <script src="https://cdn.ckeditor.com/4.13.1/standard/ckeditor.js"></script>
    <script>
        CKEDITOR.replace('content');
    </script>
</body>

</html>

resources/views/produk/edit.blade.php
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Edit Data Produk</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
</head>

<body style="background: lightgray">

    <div class="container mt-5 mb-5">
        <div class="row">
            <div class="col-md-12">
                <div class="card border-0 shadow rounded">
                    <div class="card-body">
                        <form action="{{ route('produk.update' . $produk->id) }}" method="POST"
                            enctype="multipart/form-data">
                            @csrf
                            @method('PUT')

                            <div class="form-group">
                                <label class="font-weight-bold">Nama Produk</label>
                                <input type="text" class="form-control @error('nama_product') is-invalid @enderror"
                                    name="nama_product" value="{{ old('nama_product', $produk->nama_product) }}"
                                    placeholder="Masukkan Nama Produk">

                                <!-- error message untuk nama_product -->
                                @error('nama_product')
                                    <div class="alert alert-danger mt-2">
                                        {{ $message }}
                                    </div>
                                @enderror
                            </div>

                            <div class="form-group">
                                <label class="font-weight-bold">Harga Produk</label>
                                <input type="text" class="form-control @error('harga_product') is-invalid @enderror"
                                    name="harga_product" value="{{ old('harga_product', $produk->harga_product) }}"
                                    placeholder="Masukkan Harga Produk">

                                <!-- error message untuk harga_product -->
                                @error('harga_product')
                                    <div class="alert alert-danger mt-2">
                                        {{ $message }}
                                    </div>
                                @enderror
                            </div>

                            <div class="form-group">
                                <label class="font-weight-bold">Gambar Produk</label>
                                <input type="file" class="form-control" name="gambar_product">
                            </div>

                            <button type="submit" class="btn btn-md btn-primary">UPDATE</button>
                            <button type="reset" class="btn btn-md btn-warning">RESET</button>

                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <script src="https://cdn.ckeditor.com/4.13.1/standard/ckeditor.js"></script>
    <script>
        CKEDITOR.replace('content');
    </script>
</body>

</html>

resources/views/produk/index.blade.php
@extends('layout.template')

@section('title')
    Daftar Produk
@endsection

@section('breadcrumb')
    @parent
    <li class="active">Produk</li>
@endsection
@section('content')
    <div class="container mt-5">
        <div class="row">
            <div class="col-md-12">
                <div class="card border-0 shadow rounded">
                    <div class="card-body">
                        <a href="{{ route('produk.create') }}" class="btn btn-md btn-success mb-3">TAMBAH PRODUK</a>
                        <table class="table table-bordered">
                            <thead>
                                <tr>
                                    <th scope="col">NO</th>
                                    <th scope="col">Nama Produk</th>
                                    <th scope="col">Harga Produk</th>
                                    <th scope="col">Gambar Produk</th>
                                    <th scope="col">AKSI</th>
                                </tr>
                            </thead>
                            <tbody>

                                <?php $no = 1; ?>
                                @forelse ($produk as $p)
                                    <tr>
                                        <td>{{ $no++ }}</td>
                                        <td>{{ $p->nama_product }}</td>
                                        <td>{{ $p->harga_product }}</td>
                                        <td class="text-center">
                                            <img src="{{ Storage::url('public/product/') . $p->gambar_product }}"
                                                class="rounded" style="width: 150px">
                                        </td>
                                        <td class="text-center">
                                            <form onsubmit="return confirm('Apakah Anda Yakin ?');"
                                                action="{{ route('produk.destroy', $p->id) }}" method="POST">
                                                <a href="{{ route('produk.edit', $p->id) }}"
                                                    class="btn btn-sm btn-primary">EDIT</a>
                                                @csrf
                                                @method('DELETE')
                                                <button type="submit" class="btn btn-sm btn-danger">HAPUS</button>
                                            </form>
                                        </td>
                                    </tr>
                                @empty
                                    <div class="alert alert-danger">
                                        Data Post belum Tersedia.
                                    </div>
                                @endforelse
                            </tbody>
                        </table>
                        {{ $produk->links() }}
                    </div>
                </div>
            </div>
        </div>
    </div>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <script src="//cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.js"></script>

    <script>
        //message with toastr
        @if (session()->has('success'))

            toastr.success('{{ session('success') }}', 'BERHASIL!');
        @elseif (session()->has('error'))

            toastr.error('{{ session('error') }}', 'GAGAL!');
        @endif
    </script>
@endsection